堕落不振功业废,勤耕不辍日月新

Failed to resolve: com.android.support:appcompat-v7:27.+ 报错解决方法

Android hailen 143℃

Failed to resolve: com.android.support:appcompat-v7:27.+ 报错解决方法

 

 

http://blog.csdn.net/MoLiao2046/article/details/78580293?locationNum=6&fps=1

app module build.gradle dependencies中默认配置如下:

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    compile 'com.android.support:appcompat-v7:27.+'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    testCompile 'junit:junit:4.12'
}
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9

Studio 2.3版本应该在Root Project build.gradle allprojects配置如下:

allprojects {
    repositories {
        jcenter()
        maven { url "https://maven.google.com" }
    }
}
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6

Studio 3.0版本应该在Root Project build.gradle allprojects配置如下:

allprojects {
    repositories {
        jcenter()
        google()
    }
}

转载请注明:我是IT » Failed to resolve: com.android.support:appcompat-v7:27.+ 报错解决方法

喜欢 (0)or分享 (0)